List the transfers a CARF run reported
curl --request GET \
--url https://api.range.org/v2/workflows/runs/{runId}/carf/transfers \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v2/workflows/runs/{runId}/carf/transfers"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v2/workflows/runs/{runId}/carf/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.range.org/v2/workflows/runs/{runId}/carf/transfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.range.org/v2/workflows/runs/{runId}/carf/transfers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.range.org/v2/workflows/runs/{runId}/carf/transfers")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.range.org/v2/workflows/runs/{runId}/carf/transfers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"account_id": "acc_abc123",
"kind": "TRADE",
"status": "CONFIRMED",
"raw": {},
"carf": {},
"transaction_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"provider_transaction_id": "0x9a3f...",
"account": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Treasury wallet",
"type": "eoa",
"groups": [
{
"id": "uuid-1",
"name": "Finance"
}
],
"network": "solana",
"address": "BJE5MMbqXjVwjAF7oxwPYXnTXDyspzZyt4vwenNw5ruG",
"details": {}
},
"provider": "custom",
"timestamp": "2026-01-15T10:00:00.000Z",
"hash": "0xabc...",
"network": "networks/ethereum-mainnet",
"block_number": "21000000",
"direction": "in",
"usd_amount": "250.50",
"transfers": [
{
"direction": "IN",
"asset": "USDC",
"amount": "100.50",
"usd_amount": "9.831",
"source_address": "0xabc...",
"destination_address": "0xdef...",
"source_label": "Coinbase",
"source_malicious": true,
"source_icon_urls": [
"https://icons.range.org/icons/coinbase.webp"
],
"destination_label": "Treasury",
"destination_malicious": false,
"destination_icon_urls": [
"https://icons.range.org/icons/entity.webp"
]
}
],
"trade": {
"side": "BUY",
"base_asset": "BTC",
"base_amount": "0.01",
"quote_asset": "USDC",
"quote_amount": "500.0",
"price": "50000.0",
"fee": "0.45",
"fee_asset": "USDC",
"realized_pnl": "25.11",
"liquidation": false
},
"fee": {
"amount": "5000",
"denom": "uatom"
},
"category": "Payroll",
"note": "Wire from payroll run"
}
],
"meta": {
"next_cursor": "eyJpZCI6IjkxeFFlV3Z...",
"previous_cursor": "eyJpZCI6IjkxeFFlV3Z...",
"first_page_cursor": "eyJpZCI6IjkxeFFlV3Z...",
"last_page_cursor": "eyJpZCI6IjkxeFFlV3Z...",
"total_count": 100,
"page_number": 1
}
}CARF
List the transfers a CARF run reported
GET
/
v2
/
workflows
/
runs
/
{runId}
/
carf
/
transfers
List the transfers a CARF run reported
curl --request GET \
--url https://api.range.org/v2/workflows/runs/{runId}/carf/transfers \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v2/workflows/runs/{runId}/carf/transfers"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v2/workflows/runs/{runId}/carf/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.range.org/v2/workflows/runs/{runId}/carf/transfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.range.org/v2/workflows/runs/{runId}/carf/transfers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.range.org/v2/workflows/runs/{runId}/carf/transfers")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.range.org/v2/workflows/runs/{runId}/carf/transfers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"account_id": "acc_abc123",
"kind": "TRADE",
"status": "CONFIRMED",
"raw": {},
"carf": {},
"transaction_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"provider_transaction_id": "0x9a3f...",
"account": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Treasury wallet",
"type": "eoa",
"groups": [
{
"id": "uuid-1",
"name": "Finance"
}
],
"network": "solana",
"address": "BJE5MMbqXjVwjAF7oxwPYXnTXDyspzZyt4vwenNw5ruG",
"details": {}
},
"provider": "custom",
"timestamp": "2026-01-15T10:00:00.000Z",
"hash": "0xabc...",
"network": "networks/ethereum-mainnet",
"block_number": "21000000",
"direction": "in",
"usd_amount": "250.50",
"transfers": [
{
"direction": "IN",
"asset": "USDC",
"amount": "100.50",
"usd_amount": "9.831",
"source_address": "0xabc...",
"destination_address": "0xdef...",
"source_label": "Coinbase",
"source_malicious": true,
"source_icon_urls": [
"https://icons.range.org/icons/coinbase.webp"
],
"destination_label": "Treasury",
"destination_malicious": false,
"destination_icon_urls": [
"https://icons.range.org/icons/entity.webp"
]
}
],
"trade": {
"side": "BUY",
"base_asset": "BTC",
"base_amount": "0.01",
"quote_asset": "USDC",
"quote_amount": "500.0",
"price": "50000.0",
"fee": "0.45",
"fee_asset": "USDC",
"realized_pnl": "25.11",
"liquidation": false
},
"fee": {
"amount": "5000",
"denom": "uatom"
},
"category": "Payroll",
"note": "Wire from payroll run"
}
],
"meta": {
"next_cursor": "eyJpZCI6IjkxeFFlV3Z...",
"previous_cursor": "eyJpZCI6IjkxeFFlV3Z...",
"first_page_cursor": "eyJpZCI6IjkxeFFlV3Z...",
"last_page_cursor": "eyJpZCI6IjkxeFFlV3Z...",
"total_count": 100,
"page_number": 1
}
}Authorizations
AuthorizationAuthorization
Authorization method required to allow user to access the api endpoints.
Path Parameters
Query Parameters
Opaque cursor returned in meta.next_cursor of a previous response. Base64 JSON { timestamp, id } where id is the transfer row id.
Example:
"eyJ0aW1lc3RhbXAiOiIyMDI0LTAxLTAyVDAwOjAwOjAwLjAwMFoiLCJpZCI6IjU1MGU4NDAwLWUyOWItNDFkNC1hNzE2LTQ0NjY1NTQ0MDAwMCJ9"
Maximum number of transactions to return after merging and sorting newest-first across all connections.
Required range:
1 <= x <= 100Example:
5
missing: no CARF type yet. manual, rule, example: labelled that way.
Available options:
all, missing, manual, rule, example Was this page helpful?